﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Reflection;
using System.Text;
using System.Windows.Forms;

namespace ТestApplication
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            AppDomain currentDomain = AppDomain.CurrentDomain;
        }
        private void button1_Click(object sender, EventArgs e)
        {
            Random r = new Random();

            StringBuilder b = new StringBuilder();
            for (int i = 0; i < 10; i++)
            {
                b.Append((char)(r.Next(200)));
            }
            textBox1.Text = b.ToString();
            NestedDynamicClass ndc = new NestedDynamicClass();
            textBox2.Text = ndc.NestedBaseClassOperation(textBox1.Text);
            textBox3.Text = ndc.BaseClassOperation(textBox1.Text);
            textBox4.Text = Statictest1.BaseClass.BaseClassOperation(textBox1.Text);
            textBox5.Text = Properties.Resources.ResourceManager.GetString("FormResource") + "  " + textBox1.Text;
            b = null;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (InputBox.Text.Length != 0 || MnBox.Text.Length != 0)
            {
                resultBox.Text = Statictest1.Class1.GetByStatic(int.Parse(InputBox.Text), int.Parse(MnBox.Text));
                textBox6.Text = Statictest1.Class1.GetByStaticResource(int.Parse(InputBox.Text), int.Parse(MnBox.Text));
                Dynamictest1.Class1 cl = new Dynamictest1.Class1();
                cl.Initialize(InputBox.Text, MnBox.Text);
                textBox7.Text = cl.getDinamicResource();
                resultBox2.Text = cl.getDinamic();
            }
            else
            {
                MessageBox.Show("Не указаны вводные данные");
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            Statictest1.Class1.GetDivError();
        }
        private bool flag = true;
        private void button4_Click(object sender, EventArgs e)
        {
            throw new ArithmeticException();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            IConvertible conv = flag;
            Char ch = conv.ToChar(null);
        }

        private void button6_Click(object sender, EventArgs e)
        {
            throw new InvalidExpressionException();
        }

        private void button7_Click(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void button8_Click(object sender, EventArgs e)
        {
            throw new NotSupportedException();
        }

        private void button9_Click(object sender, EventArgs e)
        {
            throw new IndexOutOfRangeException();
        }

        private void button10_Click(object sender, EventArgs e)
        {
            throw new AccessViolationException();
        }

        private void button11_Click(object sender, EventArgs e)
        {
            throw new InvalidOperationException();
        }

        private void button12_Click(object sender, EventArgs e)
        {
            test1();
        }
        void test1()
        {
            test2();
        }

        void test2()
        {
            test3();
        }

        void test3()
        {
            test4();
        }

        void test4()
        {
            throw new InvalidAsynchronousStateException();
        }

        private void button13_Click(object sender, EventArgs e)
        {
            MessageBox.Show("JIT OK");
        }

        private void button14_Click(object sender, EventArgs e)
        {
            MessageBox.Show('J'.ToString() + 'I'.ToString() + 'T'.ToString() + ' '.ToString() + 'O'.ToString() + 'K'.ToString());
        }
    }
}
